// COM proxy class, output from FunctionList.js
package owapi;
/**
 * XML services.
 *
 * This class provides several XML utility functions.
 *
 * @author Kelly
 * @com.register ( clsid=199E86B6-027D-4569-82D8-16879B66CA0F, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=199E86B6-027D-4569-82D8-16879B66CA0F
 */
public class XML
   implements com.ms.com.IUnknown
{


   /**
    * Create a SAX parser.
    *
    * @return A new SAX parser.
    */
   public SAXParser createSAXParser()
   {      
      return new SAXParser(com.dalsemi.onewire.application.tag.XML.createSAXParser());
   }

   /**
    * Escape special characters in the given string.
    *
    * This method takes a string and escapes special characters so it can be used as
    * the text content of an element or as an attribute value.  For example, the
    * ampersand &amp; becomes &amp;amp;.
    *
    * @param source The string to escape
    * @return The escaped string.
    */
   public java.lang.String escape(java.lang.String source)
   {      
      return com.dalsemi.onewire.application.tag.XML.escape(source);
   }


}
